import md5 from 'js-md5'
import dayjs from 'dayjs'
/**
 * md5 加密
 * @param val string
 * @returns strng
 */
export const fnMd5 = (val: string) => md5(val)

/**
 * 判断对象是否为空
 * @param obj Object
 * @returns boolean
 */
export const isEmptyObject = (obj: object) => Object.keys(obj).length > 0

/**
 * 时间的处理
 * @param date new Date
 * @returns string
 */
export const dayJs = (date: Date | string) => dayjs(date)

/**
 *
 * @param menuList 菜单列表
 * @param result 输出得结果
 * @param parent 子菜单
 * @returns object
 */
export const getAllBreadcrumbList = (menuList: any, result: { [key: string]: any } = {}, parent = []) => {
  for (const item of menuList) {
    result[item.T_permission.trim()] = [...parent, item]
    if (item.Children) getAllBreadcrumbList(item.Children, result, result[item.T_permission])
  }
  return result
}

// {
//     path: '/home',
//     name: 'Home',
//     meta: {
//       icon: 'HomeFilled',
//       title: '首页',
//       isKeepAlive: true
//     }
//   },

export const hanlderMenuList = (menuList: any) => {
  console.log(menuList)
}
